/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Context of the quote request.
 */
@ApiModel(description = "Context of the quote request.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model166 {
  @SerializedName("country")
  private String country = null;

  @SerializedName("currency")
  private String currency = null;

  @SerializedName("intermediary_code")
  private String intermediaryCode = null;

  public Model166 country(String country) {
    this.country = country;
    return this;
  }

   /**
   * Customer country, ISO-3166-1 alpha-2 format (2 letter codes).
   * @return country
  **/
  @ApiModelProperty(example = "FR", value = "Customer country, ISO-3166-1 alpha-2 format (2 letter codes).")
  public String getCountry() {
    return country;
  }

  public void setCountry(String country) {
    this.country = country;
  }

  public Model166 currency(String currency) {
    this.currency = currency;
    return this;
  }

   /**
   * Customer currency, ISO 4217 format (3 letter code).
   * @return currency
  **/
  @ApiModelProperty(example = "EUR", required = true, value = "Customer currency, ISO 4217 format (3 letter code).")
  public String getCurrency() {
    return currency;
  }

  public void setCurrency(String currency) {
    this.currency = currency;
  }

  public Model166 intermediaryCode(String intermediaryCode) {
    this.intermediaryCode = intermediaryCode;
    return this;
  }

   /**
   * Code of business intermediary.
   * @return intermediaryCode
  **/
  @ApiModelProperty(example = "NDEL-001", value = "Code of business intermediary.")
  public String getIntermediaryCode() {
    return intermediaryCode;
  }

  public void setIntermediaryCode(String intermediaryCode) {
    this.intermediaryCode = intermediaryCode;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model166 model166 = (Model166) o;
    return Objects.equals(this.country, model166.country) &&
        Objects.equals(this.currency, model166.currency) &&
        Objects.equals(this.intermediaryCode, model166.intermediaryCode);
  }

  @Override
  public int hashCode() {
    return Objects.hash(country, currency, intermediaryCode);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model166 {\n");
    
    sb.append("    country: ").append(toIndentedString(country)).append("\n");
    sb.append("    currency: ").append(toIndentedString(currency)).append("\n");
    sb.append("    intermediaryCode: ").append(toIndentedString(intermediaryCode)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

